<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:jsf="http://xmlns.jcp.org/jsf"
      xmlns:b="http://bootsfaces.net/ui">

    
    
    <h:head>
        
        <link rel = "shortcut icon" type = "imagem/x-icon" href = "../resources/imagens/favicon.ico"/>
        <link href="resources/css/modern-business.css" rel="stylesheet" type="text/css"/>

        <!-- Bootstrap core CSS -->
        <h:outputStylesheet library="css" name="bootstrap.min.css" />
        <!-- Custom styles for this template -->
        <h:outputStylesheet library="css" name="modern-business.css" />

        <!--                <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>-->
        <!--                <h:outputScript library="js" name="meu.js" />-->

        <h:outputStylesheet library="css" name="font-awesome.min.css" />
    
    </h:head>


    <body>

        <ui:composition template="./../WEB-INF/admCliente.xhtml">

            <ui:define name="content">
                <br/><br/><br/>
                <div align="center">
                    <h:form  class="form">

                        <p:messages id="messages"  />
                        <p:fieldset>

                            <label style="font-size: 24pt">Cadastro de Estabelecimento</label>


                            <h:panelGrid columns="1" id="estabGrid" cellpadding="5" width="80%">


                                <p:outputLabel value="Código:" />
                                <p:inputText value="#{estabelecimentoBean.estabelecimento.id}" readonly="true" />

                                <p:outputLabel value="Nome do Estabelecimento:" for="txtestab2" />
                                <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.nome}" id="txtestab2" required="true" />

                                <p:outputLabel value="CNPJ:" for="txtCNPJ" />
                                <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.cnpj}" id="txtCNPJ" required="false" />

                                <p:outputLabel value="Prorietário:" for="txtPropietario" />
                                <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.usuario}" id="txtPropietario" required="false" />

                                <p:outputLabel value="Telefone:" for="txtTel" />
                                <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.telefone}" id="txtTel" required="false" />

                                <p:outputLabel value="Endereço:" for="txtEnd" />
                                <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.endecampo}" id="txtEnd" required="false" />

                                <p:outputLabel value="Bairro:" for="txtBairro" />
                                <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.bairro}" id="txtBairro" required="false" />

                                <p:outputLabel value="Cidade:" for="txtCidade" />
                                <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.cidade}" id="txtCidade" required="false" />


                                <p:outputLabel value="CEP:" for="txtCep" />
                                <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.cep}" id="txtCep" />

                                <p:outputLabel value="UF:" for="txtUf" />
                                <p:inputText class="form-control" value="#{estabelecimentoBean.estabelecimento.uf}" id="txtUf" />

                                

                            </h:panelGrid><br></br>



                            <p:commandButton value="Salvar" actionListener="#{estabelecimentoBean.salvar}" style="margin: 20px"
                                             update="estabGrid , messages"
                                             
                                             />
                            <a href="../pratos/gerenciar.xhtml"><div class="btn btn-primary">Adicionar Pratos</div></a>
                            
                    </p:fieldset>
                    </h:form>
                                       
                    
                </div> 
                
                <script type="text/javascript">
                
                    function Prato()
                    {
                    location.href="pratos/gerenciarprato.xhml";
                }
                </script>
                

                   
                   
                   
                 

                    
              
               
                  



                     



                
                
            </ui:define>

        </ui:composition>

    </body>
</html>
